Class | Sequel::SQL::Expression
In: | lib/sequel/sql.rb
Parent: | Object

Base class for all SQL fragments

### Methods

lit sql_literal

### Public Instance methods

lit()

Returns self, because SQL::Expression already acts like LiteralString.

[Source]

        # File lib/sequel/sql.rb, line 49
    49:       def lit
    50:         self
    51:       end

sql_literal(ds)

Alias for to_s

[Source]

        # File lib/sequel/sql.rb, line 54
    54:       def sql_literal(ds)
    55:         to_s(ds)
    56:       end

[Validate]